EmailPlugin (Social Portal ASL Extension 0.10.1-3.2.0 API)
Date: 2014-06-19

org.gcube.applicationsupportlayer.social.mailing

## Class EmailPlugin

- java.lang.Object
- - org.gcube.applicationsupportlayer.social.mailing.EmailPlugin

-     public class EmailPlugin
      extends Object

  Author:
    Massimiliano Assante

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ArrayList<NotificationMail>` | `BUFFER_EMAILS`
    `protected static int` | `SECONDS2WAIT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EmailPlugin` | `getInstance()`
    `protected static javax.mail.Message` | `getMessageNotification(javax.mail.Session session, org.gcube.portal.databook.shared.Notification notification2Save, String vreName, String portalName, String senderEmail)`
    `void` | `sendNotification(org.gcube.portal.databook.shared.Notification notification2Save, String vreName, String portalName, String senderEmail)` enqueue the message to send

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECONDS2WAIT

          protected static final int SECONDS2WAIT

      See Also:
        Constant Field Values

    - #### BUFFER_EMAILS

          protected static ArrayList<NotificationMail> BUFFER_EMAILS

  - ### Method Detail

    - #### getInstance

          public static EmailPlugin getInstance()

    - #### sendNotification

          public void sendNotification(org.gcube.portal.databook.shared.Notification notification2Save,
                              String vreName,
                              String portalName,
                              String senderEmail)

      enqueue the message to send
      Parameters:
        `notification2Save` -
        `vreName` -
        `portalName` -
        `senderEmail` -

    - #### getMessageNotification

          protected static javax.mail.Message getMessageNotification(javax.mail.Session session,
                                                  org.gcube.portal.databook.shared.Notification notification2Save,
                                                  String vreName,
                                                  String portalName,
                                                  String senderEmail)
                                                              throws Exception

      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.